%global patchlvl 8

Name:           trilead-ssh2
Version:        217
Release:        %mkrel 7.jenkins%{patchlvl}.4
Group:          Development/Java
Summary:        SSH-2 protocol implementation in pure Java

# project is under BSD, but some parts are MIT licensed
# see LICENSE.txt for more information
License:        BSD and MIT
URL:            https://github.com/jenkinsci/trilead-ssh2
Source0:        https://github.com/jenkinsci/%{name}/archive/%{name}-build%{version}-jenkins-%{patchlvl}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)

BuildArch:      noarch

%description
Trilead SSH-2 for Java is a library which implements the SSH-2 protocol in pure
Java (tested on J2SE 1.4.2 and 5.0). It allows one to connect to SSH servers
from within Java programs. It supports SSH sessions (remote command execution
and shell access), local and remote port forwarding, local stream forwarding,
X11 forwarding and SCP. There are no dependencies on any JCE provider, as all
crypto functionality is included.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-build%{version}-jenkins-%{patchlvl}

# compat symlink/alias
%mvn_file  : %{name}/%{name} %{name}
%mvn_alias : "org.tmatesoft.svnkit:trilead-ssh2" "com.trilead:trilead-ssh2"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt HISTORY.txt README.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 217-7.jenkins8.4.mga8
+ Revision: 1501207
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 217-7.jenkins8.3.mga7
+ Revision: 1276738
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 217-7.jenkins8.1.mga6
+ Revision: 978578
- sync package trilead-ssh2 with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 217-3.jenkins4.4.mga5
+ Revision: 750997
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon May 19 2014 dmorgan <dmorgan> 217-3.jenkins4.2.mga5
+ Revision: 623755
- Rebuild against fixed stack

* Sun May 11 2014 dmorgan <dmorgan> 217-3.jenkins4.1.mga5
+ Revision: 622052
- New version

* Tue Dec 31 2013 dmorgan <dmorgan> 215-1.mga4
+ Revision: 563689
- Use add_maven_depmap instead of add_to_maven_depmap to fix FTBFS
- New version

* Fri Oct 18 2013 umeabot <umeabot> 213-13.mga4
+ Revision: 521139
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 dmorgan <dmorgan> 213-12.mga3
+ Revision: 388771
- Add missing demap

* Mon Jan 14 2013 umeabot <umeabot> 213-11.mga3
+ Revision: 384792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 dmorgan <dmorgan> 213-10.mga3
+ Revision: 337442
- Java Stack Mass Rebuild

* Thu Apr 28 2011 dmorgan <dmorgan> 213-9.mga1
+ Revision: 93149
- Rebuild after bootstrapping
- imported package trilead-ssh2


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 213-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 14 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 213-7
- Add maven metadata
- Drop gcj support
- Changes according to new guidelines (no clean section/buildroot)
- Versionless jars & javadocs

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 213-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 30 2009 Robert Marcano <robert@marcanoonline.com> - 213-5
- Fix Bug 492759, bad javadoc package group

* Tue Feb 16 2009 Robert Marcano <robert@marcanoonline.com> - 213-4
- Renaming package because main project moved, based on ganymed-ssh2
